VismaBouwsoftAPICalls.v1_POST_MaintenanceSheet Method
v1_POST_MaintenanceSheet() as String

This API call is used to add a(n) MaintenanceSheet

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /MaintenanceSheet
or
API Path: /MaintenanceSheet/{id}/Upload

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
list 2 tpString 50 No No No
group 2 tpString 50 No No No
nr1 2 tpString 100 No Yes No
nr2 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
address_id 1 tpLong 0 No Yes No
address_name 2 tpString 150 No No No
address_address 2 tpString 63 No No No
address_addressline2 2 tpString 63 No No No
address_countrycode 2 tpString 2 No No No
address_zipcode 2 tpString 15 No No No
address_telephone 2 tpString 25 No No No
address_gsm 2 tpString 25 No No No
address_email 2 tpString 100 No No No
project_id 1 tpLong 0 No Yes No
project_name 2 tpString 100 No No No
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_yourreference 2 tpString 50 No No No
project_address 2 tpString 63 No No No
project_addressline2 2 tpString 63 No No No
project_countrycode 2 tpString 2 No No No
project_zipcode 2 tpString 15 No No No
installationdate 6 tpDateNullString 0 No Yes No
installation_invoiceid 1 tpLong 0 No Yes No
lastmaintenance 6 tpDateNullString 0 No No No
nextmaintenance 6 tpDateNullString 0 No No No
employee_id 1 tpLong 0 No Yes No
employee_name 2 tpString 150 No No No
ts_lastupdate 3 tpDate 0 No No No

/MaintenanceSheet

API Path: /MaintenanceSheet/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/MaintenanceSheet

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: fDVfWxfVmUzSfAGAbfzRqkDVfGfjkGDAfrOkztOlfAlIDkUkmU

Query Parameters :
ParameterName: columns, ParameterValue: address_id=329298,description=’Accumulatoren’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 571,
    "list": "ALGEMEEN",
    "group": "",
    "nr1": "2016000416",
    "nr2": "",
    "description": "Accumulatoren",
    "address_id": 329298,
    "address_name": "DirkAPICust",
    "address_address": "Molleweg 9",
    "address_addressline2": "",
    "address_countrycode": "BE",
    "address_zipcode": "8377",
    "address_city": "Houtave",
    "address_telephone": "",
    "address_gsm": "",
    "address_email": "",
    "project_id": 0,
    "project_name": "",
    "project_pnr": 0,
    "project_unr": 0,
    "project_yourreference": "",
    "project_address": "",
    "project_addressline2": "",
    "project_countrycode": "",
    "project_zipcode": "",
    "project_city": "",
    "installationdate": "2026–05–07",
    "installation_invoiceid": 0,
    "lastmaintenance": "",
    "nextmaintenance": "",
    "employee_id": 0,
    "employee_name": "",
    "ts_lastupdate": "2026–05–07 09:19:00"
  }
]
}

/MaintenanceSheet/{id}/Upload

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/MaintenanceSheet/571/Upload

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: jkkfWxfkOOzSfAtfjfzRqVGPfbPtfGfGfVtkzkUkDIkGrPkGUD

Body Parameters :
ParameterName: fileParameterValue: tptype.txt

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "name": "tptype.txt",
    "path_display": "",
    "path_lower": "",
    "id": "",
    "client_modified": "2026–05–07T09:19:01Z",
    "server_modified": "2026–05–07T09:19:01Z",
    "rev": "",
    "size": 425,
    "is_downloadable": true,
    "checksum": "gW3hNMxRGFdIDIOwDPKnQ6+WdM9gdog7eHUllUD0Gp8="
  }
]
}